# Retrieve Metadata Templates Retrieve all metadata templates available to the requesting user The user submitting the request must have administrator rights to view metadata templates. Average Response Time: 492ms Endpoint: GET /metadata/template Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `Content-Type` (string, required) Enum: "application/json" ## Response 200 fields (application/json): - `template` (object) - `template.metadataGroups` (array) List of metadata groups this template contain - `template.metadataGroups.groupOrder` (integer) Display order of this group - `template.metadataGroups.metadataGroupName` (string) Group Name - `template.metadataGroups.metadataGroupSearchField` (string) - `template.metadataGroups.metadataAttributes` (array) List of this group attributes - `template.metadataGroups.metadataAttributes.isMultipleSelect` (boolean) Indicates whether the attribute allows multiple values - `template.metadataGroups.metadataAttributes.visible` (boolean) Indicates whether attribute is visible or not Example: true - `template.metadataGroups.metadataAttributes.searchField` (string) Set a search key of this attribute Example: "file_size" - `template.metadataGroups.metadataAttributes.dateFormat` (string) Date format in case of date input. 'N/A' if it is not a date field. Example: "MM/dd/yyyy" - `template.metadataGroups.metadataAttributes.fieldOrder` (integer) Display order of attribute in this group. - `template.metadataGroups.metadataAttributes.length` (integer) Length validation in case text input Example: 10 - `template.metadataGroups.metadataAttributes.type` (string) Enum: "controlledVocabulary", "date", "text" - `template.metadataGroups.metadataAttributes.required` (boolean) Toggle required validation on the attribute - `template.metadataGroups.metadataAttributes.controlledVocabularyId` (string) Id Of controlled vocabulary if controlledVocabulary type field. Example: "efa68bb7-5504-43a6-8956-666d4e811225" - `template.metadataGroups.metadataAttributes.readonly` (boolean) Indication whether the field is read only - `template.metadataGroups.metadataAttributes.name` (string) Name of the attribute Example: "File Size" - `template.metadataGroups.metadataAttributes.facetable` (boolean) Indication if field is facetable Example: true - `template.metadataGroups.metadataAttributes.id` (string) - `template.metadataGroups.metadataAttributes.isRestricted` (boolean) Toggle attribute access - `template.templateId` (string) - `template.templateName` (string) - `template.createdEpoch` (integer) Example: 1234567890123 - `template.lastUpdatedEpoch` (integer) Example: 1234567890123 - `template.templateType` (array) Enum: "default", "action", "search", "proof", "tile" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)